import { AST, Linter } from 'eslint';
import unified from 'unified';
import { Node, Parent, ParserOptions } from './types';
export declare const mdProcessor: unified.FrozenProcessor<unified.Settings>;
export declare const mdxProcessor: unified.FrozenProcessor<unified.Settings>;
export declare const AST_PROPS: readonly ["body", "comments", "tokens"];
export declare const ES_NODE_TYPES: readonly string[];
export declare const LOC_ERROR_PROPERTIES: readonly ["column", "lineNumber"];
export declare const DEFAULT_EXTENSIONS: readonly string[];
export declare const MARKDOWN_EXTENSIONS: readonly string[];
export declare const DEFAULT_PARSER_OPTIONS: ParserOptions;
export declare class Parser {
    constructor();
    normalizeJsxNode(node: Node, parent?: Parent, options?: ParserOptions): import("unist").Node | import("unist").Node[];
    parse(code: string, options: ParserOptions): AST.Program;
    parseForESLint(code: string, options: ParserOptions): Linter.ESLintParseResult;
}
export declare const parser: Parser;
export declare const parse: (code: string, options: ParserOptions) => AST.Program, parseForESLint: (code: string, options: ParserOptions) => Linter.ESLintParseResult;
//# sourceMappingURL=parser.d.ts.map